Package org.eclipse.emf.compare.provider.spec

# Class OverlayImageProvider

java.lang.Object
org.eclipse.emf.compare.provider.spec.OverlayImageProvider

public class OverlayImageProvider extends Object
Utility class to externalize the retrieval of difference overlay.

## Constructor Summary

Constructors
Constructor
Description
`OverlayImageProvider(ResourceLocator resourceLocator)`
Creates a new instance with the given resource locator.

## Method Summary

Modifier and Type
Method
Description
`Object`
`getComposedImage(Object object, Object imageToCompose)`
Returns a composed image with the image of the given object and the appropriate overlay.
`Object`
`getComposedImage(Diff diff, Object imageToCompose)`
Returns a composed image with the image of the given diff the appropriate overlay.
`Object`
`getComposedImage(Match match, Object imageToCompose)`
Returns a composed image with the image of the given match the appropriate overlay.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OverlayImageProvider

public OverlayImageProvider(ResourceLocator resourceLocator)
Creates a new instance with the given resource locator.

Parameters:
  `resourceLocator` - the resource locator to use to retrieve images

## Method Details

### getComposedImage

public Object getComposedImage(Diff diff, Object imageToCompose)
Returns a composed image with the image of the given diff the appropriate overlay.

Parameters:
  `diff` - the diff for which we have to find an overlay.
  `imageToCompose` - the image of the diff to use as base.
Returns:
  a composed image with the image of the given diff the appropriate overlay.

### getComposedImage

public Object getComposedImage(Match match, Object imageToCompose)
Returns a composed image with the image of the given match the appropriate overlay.

Parameters:
  `match` - the match for which we have to find an overlay.
  `imageToCompose` - the image of the match to use as base.
Returns:
  a composed image with the image of the given match the appropriate overlay.

### getComposedImage

public Object getComposedImage(Object object, Object imageToCompose)
Returns a composed image with the image of the given object and the appropriate overlay.

Parameters:
  `object` - the object for which we have to find an overlay.
  `imageToCompose` - the image of the match to use as base.
Returns:
  a composed image with the image of the given object and the appropriate overlay.
Since:
  4.0